Subject: Re: bug#72232: "make dist" is not reproducible

From: Pádraig Brady <[email-masked]>
Date: Sun, 21 Jul 2024 19:06:55 +0100

On 21/07/2024 18:58, Paul Eggert wrote:
> On 2024-07-21 10:44, Pádraig Brady wrote:
>> We can just rely on the timestamp of the .tarball-version
>> to support reproducible _tarballs_.
> 
> Although this makes the distributed file contents reproducible, the
> tarballs themselves are still not reproducible, since they contain
> random timestamps and (I imagine) other metadata. I vaguely recall Bruno
> having a general solution for that sort of problem but don't recall
> where it got put. (I do something more complicated in TZDB.)

Fair enough.  That issue is discussed at:
https://www.gnu.org/software/tar/manual/html_section/Reproducibility.html

For now at least I'll adjust the summary
to say "tarball contents" rather than "tarballs".

thanks,
Pádraig